Skip to main content
GET
/
api
/
reports
/
assistant
/
{assistant_id}
Get Report by Assistant
curl --request GET \
  --url https://api.userintuition.ai/api/reports/assistant/{assistant_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "assistant_id": "<string>",
  "html": "<string>",
  "user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "calls": [
    {
      "id": "<string>",
      "call_id": "<string>",
      "assistant_id": "<string>",
      "invite_id": "<string>",
      "user_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "app_id": "<string>",
      "transcript": "<string>",
      "messages": [
        {}
      ],
      "status": "<string>",
      "success_evaluation": "<string>",
      "success_evaluation_details": {},
      "ended_reason": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "recording_url": "<string>",
      "video_recording_url": "<string>",
      "analysis": {},
      "additional_info": {},
      "original_transcript": "<string>",
      "original_messages": [
        {}
      ],
      "is_visible": true,
      "invite": {
        "id": "<string>",
        "assistant_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "email": "jsmith@example.com",
        "company_name": "<string>",
        "name": "<string>",
        "user_id": "<string>",
        "app_id": "<string>",
        "study_id": "<string>",
        "issilent": false,
        "istest": false,
        "isuniversal": false,
        "is_reward_sent": false,
        "reward_sent_at": "2023-11-07T05:31:56Z",
        "sent_at": "2023-11-07T05:31:56Z",
        "assistant_name": "<string>",
        "vapi_assistant_id": "<string>",
        "call_status": "2023-11-07T05:31:56Z",
        "enable_video_recording": true,
        "enable_chat": true,
        "screener_questions": [
          {
            "id": "<string>",
            "text": "<string>",
            "type": "single_select",
            "order": 123,
            "options": [
              {
                "id": "<string>",
                "text": "<string>",
                "disqualify": true
              }
            ]
          }
        ],
        "concept_image": "<unknown>",
        "study_type": "<string>",
        "is_concept_test": true,
        "language": "<string>",
        "chat_welcome_message": "<string>"
      }
    }
  ],
  "app_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.userintuition.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.

Path Parameters

assistant_id
string
required

The assistant ID

Query Parameters

app_id
string

Filter by app ID - defaults to user-intuition if not provided

Response

The report for the given assistant

id
string
required

Database primary key ID

assistant_id
string
required

The assistant ID this report belongs to

html
string
required

Rendered HTML report content

user_id
string
required

User ID who owns this report

created_at
string<date-time>
required

When the report was created

updated_at
string<date-time>
required

When the report was last updated

calls
object[]
required

High-quality calls included in the report

app_id
string | null

App ID associated with the report